Bug 210138 - security/maia does not scan rar attachments
Summary: security/maia does not scan rar attachments
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-08 14:04 UTC by stepan
Modified: 2016-11-08 18:41 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
Patch to make unrar work correctly. (627 bytes, patch)
2016-08-26 15:07 UTC, ek
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stepan 2016-06-08 14:04:47 UTC
I would like to report a bug. Maia does not scan rar attachments. It seems that it is a version of unrar, which has a different syntax.
MAIA pass anything wrapped in RAR without antivirus check and banned EXE files.

When I set the file maiad.conf $unrar = '/usr/local/bin/unrar v -c- -p- --'; 
then MAIA checked rar properly.

OS: FreeBSD 9.3-RELEASE-p39
Version ports: maia-1.0.4, unrar-5.31,5, clamav-0.99.1
Comment 1 ek 2016-06-13 15:43:01 UTC
Reporting this upstream to the code maintainer to verify if this effects other OSes or is FBSD specific. If FBSD specific, I'll patch it. If not, this should be fixed upstream.
Comment 2 ek 2016-08-26 15:07:17 UTC
Created attachment 174098 [details]
Patch to make unrar work correctly.
Comment 3 Kurt Jaeger freebsd_committer 2016-11-08 18:41:02 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2016-11-08 18:41:32 UTC
A commit references this bug:

Author: pi
Date: Tue Nov  8 18:40:53 UTC 2016
New revision: 425757
URL: https://svnweb.freebsd.org/changeset/ports/425757

Log:
  security/maia: fix to scan rar attachments

  PR:		210138
  Submitted by:	ek@purplehat.org (maintainer)
  Reported by:	stepan@zabreh.cz

Changes:
  head/security/maia/Makefile